Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/applicant.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/applicant.py	(revision 7191)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/applicant.py	(revision 7192)
@@ -1,19 +1,15 @@
-##
-## applicants.py
-## Login : <uli@pu.smp.net>
-## Started on  Fri Jul 16 11:46:55 2010 Uli Fouquet
 ## $Id$
-## 
-## Copyright (C) 2010 Uli Fouquet & Henrik Bettermann
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/authentication.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/authentication.py	(revision 7191)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/authentication.py	(revision 7192)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## authentication.py
-## Login : <uli@pu.smp.net>
-## Started on  Tue Jul 27 14:26:35 2010 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2010 Uli Fouquet & Henrik Bettermann
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/batching.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/batching.py	(revision 7191)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/batching.py	(revision 7192)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## batching.py
-## Login : <uli@pu.smp.net>
-## Started on  Fri Jul 23 15:42:46 2010 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2010 Uli Fouquet & Henrik Bettermann
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 7191)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 7192)
@@ -1,9 +1,5 @@
-##
-## browser.py
-## Login : <uli@pu.smp.net>
-## Started on  Sun Jun 27 11:03:10 2010 Uli Fouquet & Henrik Bettermann
 ## $Id$
 ##
-## Copyright (C) 2010 Uli Fouquet & Henrik Bettermann
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/container.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/container.py	(revision 7191)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/container.py	(revision 7192)
@@ -1,6 +1,2 @@
-##
-## container.py
-## Login : <uli@pu.smp.net>
-## Started on  Thu Jan 20 04:33:18 2011 Uli Fouquet
 ## $Id$
 ##
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/dynamicroles.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/dynamicroles.py	(revision 7191)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/dynamicroles.py	(revision 7192)
@@ -1,8 +1,4 @@
+## $Id$
 ##
-## securitypolicy.py
-## Login : <uli@pu.smp.net>
-## Started on  Mon Nov 14 09:37:10 2011 Uli Fouquet
-## $Id$
-## 
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
@@ -10,10 +6,10 @@
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 7191)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 7192)
@@ -1,6 +1,2 @@
-##
-## interfaces.py
-## Login : <uli@pu.smp.net>
-## Started on  Sun Jan 16 15:30:01 2011 Uli Fouquet
 ## $Id$
 ##
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/permissions.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/permissions.py	(revision 7191)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/permissions.py	(revision 7192)
@@ -1,8 +1,4 @@
+## $Id$
 ##
-## permissions.py
-## Login : <uli@pu.smp.net>
-## Started on  Wed May 11 13:05:37 2011 Uli Fouquet
-## $Id$
-## 
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
@@ -10,10 +6,10 @@
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/root.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/root.py	(revision 7191)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/root.py	(revision 7192)
@@ -1,8 +1,4 @@
+## $Id$
 ##
-## root.py
-## Login : <uli@pu.smp.net>
-## Started on  Thu Jan 20 04:17:59 2011 Uli Fouquet
-## $Id$
-## 
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
@@ -10,10 +6,10 @@
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/vocabularies.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/vocabularies.py	(revision 7191)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/vocabularies.py	(revision 7192)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Vocabularies and sources for the application section.
 """
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/workflow.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/workflow.py	(revision 7191)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/workflow.py	(revision 7192)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Workflow for applicants.
 """