Index: /main/waeup.sirp/trunk/src/waeup/sirp/image/browser/views.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/image/browser/views.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/image/browser/views.py	(revision 7196)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## views.py
-## Login : <uli@pu.smp.net>
-## Started on  Sat Sep 18 14:16:06 2010 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2010 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/image/browser/widget.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/image/browser/widget.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/image/browser/widget.py	(revision 7196)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## widget.py
-## Login : <uli@pu.smp.net>
-## Started on  Tue Sep 14 11:00:16 2010 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2010 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/image/image.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/image/image.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/image/image.py	(revision 7196)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## image.py
-## Login : <uli@pu.smp.net>
-## Started on  Mon Apr 25 12:32:42 2011 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2011 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/image/interfaces.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/image/interfaces.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/image/interfaces.py	(revision 7196)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## interfaces.py
-## Login : <uli@pu.smp.net>
-## Started on  Mon Sep 13 10:28:05 2010 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2010 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/image/schema.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/image/schema.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/image/schema.py	(revision 7196)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## schema.py
-## Login : <uli@pu.smp.net>
-## Started on  Mon Sep 13 10:31:43 2010 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2010 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/image/tests.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/image/tests.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/image/tests.py	(revision 7196)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## tests.py
-## Login : <uli@pu.smp.net>
-## Started on  Mon Apr 25 14:18:37 2011 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2011 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/schema/field.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/schema/field.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/schema/field.py	(revision 7196)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## field.py
-## Login : <uli@pu.smp.net>
-## Started on  Fri Sep 16 16:02:55 2011 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2011 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/schema/tests/test_textlinechoice.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/schema/tests/test_textlinechoice.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/schema/tests/test_textlinechoice.py	(revision 7196)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Test TextLineChoice
 """
Index: /main/waeup.sirp/trunk/src/waeup/sirp/utils/batching.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/utils/batching.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/utils/batching.py	(revision 7196)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """WAeUP components for batch processing.
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/utils/converters.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/utils/converters.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/utils/converters.py	(revision 7196)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Converters for zope.schema-based datatypes.
 """
Index: /main/waeup.sirp/trunk/src/waeup/sirp/utils/helpers.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/utils/helpers.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/utils/helpers.py	(revision 7196)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """General helper functions for WAeUP.
 """
Index: /main/waeup.sirp/trunk/src/waeup/sirp/utils/importexport.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/utils/importexport.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/utils/importexport.py	(revision 7196)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 import csv
 import grok
Index: /main/waeup.sirp/trunk/src/waeup/sirp/utils/logger.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/utils/logger.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/utils/logger.py	(revision 7196)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## logging.py
-## Login : <uli@pu.smp.net>
-## Started on  Mon Jun 13 01:25:07 2011 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2011 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_batching.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_batching.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_batching.py	(revision 7196)
@@ -1,19 +1,15 @@
-##
-## test_batching.py
-## Login : <uli@pu.smp.net>
-## Started on  Fri Jun  3 00:28:43 2011 Uli Fouquet
 ## $Id$
-## 
-## Copyright (C) 2011 Uli Fouquet
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_converters.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_converters.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_converters.py	(revision 7196)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## test_converters.py
-## Login : <uli@pu.smp.net>
-## Started on  Tue May 31 08:34:44 2011 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2011 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_doctests.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_doctests.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_doctests.py	(revision 7196)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## test_doctests.py
-## Login : <uli@pu.smp.net>
-## Started on  Tue Sep 13 11:19:08 2011 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2011 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_helpers.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_helpers.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_helpers.py	(revision 7196)
@@ -1,25 +1,22 @@
 # -*- coding: utf-8 -*-
 
-##
-## test_helpers.py
-## Login : <uli@pu.smp.net>
-## Started on  Sat Feb 12 14:39:42 2011 Uli Fouquet
 ## $Id$
-## 
-## Copyright (C) 2011 Uli Fouquet
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
+
 import os
 import shutil
Index: /main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_logger.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_logger.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_logger.py	(revision 7196)
@@ -1,2 +1,20 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+
 # Tests for waeup.sirp.utils.logger
 import logging
Index: /main/waeup.sirp/trunk/src/waeup/sirp/widgets/datewidget.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/widgets/datewidget.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/widgets/datewidget.py	(revision 7196)
@@ -1,8 +1,4 @@
+## $Id$
 ##
-## datewidget.py
-## Login : <uli@pu.smp.net>
-## Started on  Wed May 11 15:53:35 2011 Uli Fouquet
-## $Id$
-## 
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
@@ -10,10 +6,10 @@
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/widgets/interfaces.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/widgets/interfaces.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/widgets/interfaces.py	(revision 7196)
@@ -1,4 +1,19 @@
+## $Id$
 ##
-## interfaces.py
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Interfaces for widgets.
 """
Index: /main/waeup.sirp/trunk/src/waeup/sirp/widgets/objectwidget.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/widgets/objectwidget.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/widgets/objectwidget.py	(revision 7196)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## resultswidget.py
-## Login : <uli@pu.smp.net>
-## Started on  Tue Jul 20 02:04:30 2010 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2010 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/widgets/restwidget.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/widgets/restwidget.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/widgets/restwidget.py	(revision 7196)
@@ -1,5 +1,4 @@
+## $Id$
 ##
-## restwidget.py
-## 
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
@@ -7,10 +6,10 @@
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/widgets/tests/test_datewidget.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/widgets/tests/test_datewidget.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/widgets/tests/test_datewidget.py	(revision 7196)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## test_datewidget.py
-## Login : <uli@pu.smp.net>
-## Started on  Thu May 12 02:17:06 2011 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2011 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: /main/waeup.sirp/trunk/src/waeup/sirp/widgets/tests/test_objectwidget.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/widgets/tests/test_objectwidget.py	(revision 7195)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/widgets/tests/test_objectwidget.py	(revision 7196)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Tests for objectwidget.
 """