Index: /main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/batchcontainer.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/batchcontainer.pt	(revision 7197)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/batchcontainer.pt	(revision 7198)
@@ -10,31 +10,33 @@
       <tr>
         <th>&nbsp;</th>
-	<th>Prefix</th><th>Entries/(invalidated)</th><th>Cost</th>
-	<th>Created</th><th>Creator</th>
+  <th>Prefix</th><th>Entries/(invalidated)</th><th>Cost</th>
+  <th>Created</th><th>Creator</th>
       </tr>
     </thead>
     <tbody>
       <tr tal:repeat="batch context/values"
-	  tal:attributes="class python: repeat['batch'].odd() and 'even' or 'odd'">
-	<td>
-	  <input type="checkbox" name="batches" value="batch/prefix"
-		 tal:attributes="value batch/__name__" />
-	</td>
-	<td>
-	  <span tal:replace="batch/prefix">APP</span>
-	  -
-	  <span tal:replace="batch/num">10</span>
-	</td>
-	<td>
-	  <span tal:replace="batch/entry_num">1012</span>
-	  /
-	  <span tal:replace="batch/used_num">512</span>
-	</td>
-	<td tal:content="batch/cost">12.12</td>
-	<td tal:content="python: batch.creation_date.ctime()">2009/12/24</td>
-	<td tal:content="batch/creator">some user</td>
+    tal:attributes="class python: repeat['batch'].odd() and 'even' or 'odd'">
+  <td>
+    <input type="checkbox" name="batches" value="batch/prefix"
+     tal:attributes="value batch/__name__" />
+  </td>
+  <td>
+    <span tal:replace="batch/prefix">APP</span>
+    -
+    <span tal:replace="batch/num">10</span>
+  </td>
+  <td>
+    <span tal:replace="batch/entry_num">1012</span>
+    /
+    <span tal:replace="batch/used_num">512</span>
+  </td>
+  <td tal:content="batch/cost">12.12</td>
+  <td tal:content="python: batch.creation_date.strftime('%Y-%m-%d %H:%M:%S')">
+      2011-11-22 18:04:55
+  </td>
+  <td tal:content="batch/creator">some user</td>
       </tr>
       <tr tal:condition="not: context/values">
-	<td colspan="5"><b>No batches yet</b></td>
+  <td colspan="5"><b>No batches yet</b></td>
       </tr>
     </tbody>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/reimportbatchpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/reimportbatchpage.pt	(revision 7197)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/reimportbatchpage.pt	(revision 7198)
@@ -9,18 +9,18 @@
       <tr>
         <th>&nbsp;</th>
-	<th>File</th>
+  <th>File</th>
       </tr>
     </thead>
     <tbody>
       <tr tal:repeat="filename context/getImportFiles"
-	  tal:attributes="class python: repeat['filename'].odd() and 'even' or 'odd'">
-	<td>
-	  <input type="checkbox" name="filenames" value="filename"
-		 tal:attributes="value filename" />
-	</td>
-	<td tal:content="filename">file.name</td>
+    tal:attributes="class python: repeat['filename'].odd() and 'even' or 'odd'">
+  <td>
+    <input type="checkbox" name="filenames" value="filename"
+     tal:attributes="value filename" />
+  </td>
+  <td tal:content="filename">file.name</td>
       </tr>
       <tr tal:condition="python: len(list(context.getImportFiles())) == 0">
-	<td colspan="5"><b>No import batches available</b></td>
+  <td colspan="5"><b>No import batches available</b></td>
       </tr>
     </tbody>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/searchpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/searchpage.pt	(revision 7197)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/searchpage.pt	(revision 7198)
@@ -23,25 +23,25 @@
     <table class="display dataTableManage">
       <thead>
-    	<tr>
-    	  <th>&nbsp;</th>
-    	  <th width="50px">Serial</th>
+      <tr>
+        <th>&nbsp;</th>
+        <th width="50px">Serial</th>
         <th>AC</th>
         <th>State</th>
         <th>Owner</th>
         <th>History</th>
-    	</tr>
+      </tr>
       </thead>
       <tbody>
-    	<tr tal:repeat="item view/hitlist">
-    	  <td><input type="checkbox" name="entries"
-    	             tal:attributes="value item/code" /></td>
-    	  <td tal:content="item/batch_serial">1</td>
-    	  <td tal:content="item/code">APP-1-1234567890</td>
-    	  <td tal:content="item/state">unused</td>
+      <tr tal:repeat="item view/hitlist">
+        <td><input type="checkbox" name="entries"
+                   tal:attributes="value item/code" /></td>
+        <td tal:content="item/batch_serial">1</td>
+        <td tal:content="item/code">APP-1-1234567890</td>
+        <td tal:content="item/state">unused</td>
         <td tal:content="item/owner">Id</td>
           <td tal:content="structure python:item.history.replace('||','<br />')">
             history
           </td>
-    	</tr>
+      </tr>
       </tbody>
     </table>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/loginpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/loginpage.pt	(revision 7197)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/loginpage.pt	(revision 7198)
@@ -27,5 +27,5 @@
   If you are having trouble logging in, make sure to enable  cookies in your web browser.
   </p>
-  <p>You don't have an account because you are a fresh student or your student record has just been created?
+  <p>You don't have an account because you are a fresh student, or your student record has just been created?
   Acquire a Password Access Code (PWD) and inititialize your student account
   <strong><a href  ="setpassword"> here</a></strong>.