Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 7199)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 7200)
@@ -292,5 +292,5 @@
     text = 'Manage applicants container'
 
-class LoginApplicantActionButton(ManageActionButton):
+class ApplicantLoginActionButton(ManageActionButton):
     grok.order(2)
     grok.context(IApplicantsContainer)
@@ -394,5 +394,5 @@
         return del_local_roles(self,3,**data)
 
-class LoginApplicant(WAeUPPage):
+class ApplicantLoginPage(WAeUPPage):
     grok.context(IApplicantsContainer)
     grok.name('login')
@@ -509,5 +509,5 @@
             applicant.access_code = pin
             self.context[pin] = applicant
-        self.redirect(self.url(self.context[pin], 'edit_full'))
+        self.redirect(self.url(self.context[pin], 'manage'))
         return
 
@@ -555,13 +555,13 @@
     target = '/application_slip.pdf'
 
-class DisplayApplicant(WAeUPDisplayFormPage):
+class ApplicantDisplayFormPage(WAeUPDisplayFormPage):
     grok.context(IApplicant)
     grok.name('index')
     grok.require('waeup.viewApplication')
+    grok.template('applicantdisplaypage')
     form_fields = grok.AutoFields(IApplicant).omit(
         'locked').omit('course_admitted')
     form_fields['date_of_birth'].custom_widget = FriendlyDateDisplayWidget('le')
     label = 'Applicant'
-    grok.template('form_display')
     pnav = 3
 
@@ -705,8 +705,8 @@
 class ApplicantManageActionButton(ManageActionButton):
     grok.context(IApplicant)
-    grok.view(DisplayApplicant)
+    grok.view(ApplicantDisplayFormPage)
     grok.require('waeup.manageApplication')
     text = 'Manage application record'
-    target = 'edit_full'
+    target = 'manage'
 
 
@@ -729,13 +729,13 @@
     return True
 
-class EditApplicantFull(WAeUPEditFormPage):
+class ApplicantManageFormPage(WAeUPEditFormPage):
     """A full edit view for applicant data.
     """
     grok.context(IApplicant)
-    grok.name('edit_full')
+    grok.name('manage')
     grok.require('waeup.manageApplication')
     form_fields = grok.AutoFields(IApplicant)
     form_fields['date_of_birth'].custom_widget = FriendlyDateWidget('le-year')
-    grok.template('form_edit')
+    grok.template('applicanteditpage')
     manage_applications = True
     pnav = 3
@@ -743,5 +743,5 @@
     def update(self):
         datepicker.need() # Enable jQuery datepicker in date fields.
-        super(EditApplicantFull, self).update()
+        super(ApplicantManageFormPage, self).update()
         self.wf_info = IWorkflowInfo(self.context)
         self.max_upload_size = string_from_bytes(MAX_UPLOAD_SIZE)
@@ -796,5 +796,5 @@
         return
 
-class EditApplicantStudent(EditApplicantFull):
+class ApplicantEditFormPage(ApplicantManageFormPage):
     """An applicant-centered edit view for applicant data.
     """
@@ -807,5 +807,5 @@
         )
     form_fields['date_of_birth'].custom_widget = FriendlyDateWidget('le-year')
-    grok.template('form_edit')
+    grok.template('applicanteditpage')
     manage_applications = False
     title = u'Your Application Form'
@@ -821,5 +821,5 @@
             return
         datepicker.need() # Enable jQuery datepicker in date fields.
-        super(EditApplicantStudent, self).update()
+        super(ApplicantEditFormPage, self).update()
         return
 
@@ -862,5 +862,5 @@
 class ApplicantViewActionButton(ManageActionButton):
     grok.context(IApplicant)
-    grok.view(EditApplicantFull)
+    grok.view(ApplicantManageFormPage)
     grok.require('waeup.manageApplication')
     icon = 'actionicon_view.png'
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt	(revision 7200)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt	(revision 7200)
@@ -0,0 +1,37 @@
+<h2 i18n:translate=""
+    tal:condition="view/label"
+    tal:content="view/label">Label</h2>
+
+<h2> ... <span tal:replace="context/state">Application State</span> ... </h2>
+
+<div class="workflow">
+  <div tal:repeat="msg context/history/messages">
+    <span tal:replace="msg">message</span><br />
+  </div>
+</div>
+
+<table class="zebra">
+  <tbody>
+    <tr>
+    <td><img src="" tal:attributes="src view/passport_url" /></td>
+    </tr>
+    <tal:block repeat="widget view/widgets">
+      <tr>
+        <td class="fieldname">
+          <tal:block content="widget/label"/>:
+        </td>
+        <td>
+          <span tal:replace="structure widget" />
+        </td>
+      </tr>
+    </tal:block>
+    <tr>
+      <td class="fieldname">
+          Admitted Course of Study:
+      </td>
+      <td>
+        <span tal:replace="structure view/getCourseAdmitted" />
+      </td>
+    </tr>
+  </tbody>
+</table>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt	(revision 7200)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt	(revision 7200)
@@ -0,0 +1,89 @@
+<form action="." tal:attributes="action request/URL" method="post"
+      class="edit-form" enctype="multipart/form-data">
+
+  <h2 i18n:translate=""
+    tal:condition="view/label"
+    tal:content="view/label">Label</h2>
+
+  <h2> ... <span tal:replace="context/state">Application State</span> ... </h2>
+
+  <div class="workflow">
+    <div tal:repeat="msg context/history/messages">
+      <span tal:replace="msg">message</span><br />
+    </div>
+  </div>
+
+  <div class="form-status"
+    tal:define="status view/status"
+    tal:condition="status">
+    Form Status:
+    <span i18n:translate="" tal:content="view/status">
+      Form status summary
+    </span>
+  </div>
+
+  <table class="form-fields zebra">
+    <tbody>
+      <tal:block repeat="widget view/widgets">
+        <tr>
+          <td class="label">
+            <label tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required">*</span>
+              <span i18n:translate="" tal:content="widget/label">label</span>:
+            </label>
+          </td>
+          <td class="field">
+            <span class="widget" tal:content="structure widget">
+              <input type="text" />
+            </span>
+            <tal:error tal:condition="widget/error">
+              <span tal:replace="structure widget/error">error</span>
+            </tal:error>
+            <tal:hint tal:condition="widget/hint">
+              <span class="hint" tal:content="structure widget/hint">hint</span>
+            </tal:hint>
+          </td>
+        </tr>
+      </tal:block>
+      <tr>
+        <td class="label">
+          <label i18n:translate="" for="form.passport">Photograph</label>
+        </td>
+        <td class="field">
+          <span class="widget">
+            <img src="passport.jpg" /><br />
+            <input type="file" name="form.passport" />
+            <br />
+            <span i18n:translate="">
+              Max. file size:
+              <span tal:replace="view/max_upload_size">10 KB</span>
+            </span>
+          </span>
+      </tr>
+      <tr tal:condition="view/manage_applications">
+        <td class="label"><label>Application Transition:</label></td>
+        <td>
+          <select id="transition" name="transition">
+            <option tal:repeat="transition view/getTransitions"
+                    tal:attributes="value transition/name">
+              <span tal:replace="transition/title">TRANSITIONTITLE</span>
+            </option>
+          </select>
+        </td>
+      </tr>
+    </tbody>
+  </table>
+
+  <div tal:condition="not: view/manage_applications">
+    <input class="checkboxType" id="confirm_passport" name="confirm_passport"
+           type="checkbox" value="True"/>
+    I confirm that the Passport Photograph uploaded on this form is a
+    true picture of me.
+  </div>
+
+  <div class="actionButtons" tal:condition="view/availableActions">
+    <input tal:repeat="action view/actions"
+           tal:replace="structure action/render"
+           />
+  </div>
+</form>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantloginpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantloginpage.pt	(revision 7200)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantloginpage.pt	(revision 7200)
@@ -0,0 +1,64 @@
+<h2 i18n:translate=""
+    tal:condition="view/label"
+    tal:content="view/label">Label</h2>
+
+
+<form method="POST">
+  <input type="hidden" name="form.ac_prefix"
+         value="" tal:attributes="value view/ac_prefix" />
+  <table>
+    <tbody>
+      <tr>
+    	<td><label for="form.ac_series">Access Code:</label></td>
+    	<td>
+          <span tal:replace="view/ac_prefix">PIN Prefix</span>
+         -<input name="form.ac_series" type="text" size="3" maxlength="3"
+                  value="" tal:attributes="value view/ac_series"/>
+         -<input name="form.ac_number" type="text" size="10" maxlength="10"
+                value="" tal:attributes="value view/ac_number" />
+    	</td>
+      </tr>
+      <tr>
+	<td colspan="2">
+	  <input type="submit" name="SUBMIT" value="Show Application Record" />
+	</td>
+      </tr>
+    </tbody>
+  </table>
+</form>
+
+<div>
+  <h3>Instructions:</h3>
+  <ul class="list">
+    <li>
+      Enter your Application PIN.
+    </li>
+    <li>
+      Fill the form and upload your Passport Photograph with red
+      background in jpg format.
+    </li>
+    <li>
+      Save and preview picture.
+    </li>
+    <li>
+      Press the 'Final Submit' button.
+    </li>
+    <li>
+      After submission you won't be able to edit the data
+      but you can access and print this form again.
+    </li>
+  </ul>
+</div>
+<br />
+<div tal:condition="context/startdate">
+  Start date of application:
+  <span tal:replace="python: context.startdate.strftime('%d/%m/%Y') ">STARTDATE</span>
+</div>
+<div tal:condition="context/enddate">
+  Closing date of application:
+  <span tal:replace="python: context.enddate.strftime('%d/%m/%Y')">ENDDATE</span>
+</div>
+<br />
+<div tal:condition="context/strict_deadline">
+  No application after deadline!
+</div>
Index: in/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_display.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_display.pt	(revision 7199)
+++ 	(revision )
@@ -1,37 +1,0 @@
-<h2 i18n:translate=""
-    tal:condition="view/label"
-    tal:content="view/label">Label</h2>
-
-<h2> ... <span tal:replace="context/state">Application State</span> ... </h2>
-
-<div class="workflow">
-  <div tal:repeat="msg context/history/messages">
-    <span tal:replace="msg">message</span><br />
-  </div>
-</div>
-
-<table class="zebra">
-  <tbody>
-    <tr>
-    <td><img src="" tal:attributes="src view/passport_url" /></td>
-    </tr>
-    <tal:block repeat="widget view/widgets">
-      <tr>
-        <td class="fieldname">
-          <tal:block content="widget/label"/>:
-        </td>
-        <td>
-          <span tal:replace="structure widget" />
-        </td>
-      </tr>
-    </tal:block>
-    <tr>
-      <td class="fieldname">
-          Admitted Course of Study:
-      </td>
-      <td>
-        <span tal:replace="structure view/getCourseAdmitted" />
-      </td>
-    </tr>
-  </tbody>
-</table>
Index: in/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt	(revision 7199)
+++ 	(revision )
@@ -1,89 +1,0 @@
-<form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
-
-  <h2 i18n:translate=""
-    tal:condition="view/label"
-    tal:content="view/label">Label</h2>
-
-  <h2> ... <span tal:replace="context/state">Application State</span> ... </h2>
-
-  <div class="workflow">
-    <div tal:repeat="msg context/history/messages">
-      <span tal:replace="msg">message</span><br />
-    </div>
-  </div>
-
-  <div class="form-status"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
-  </div>
-
-  <table class="form-fields zebra">
-    <tbody>
-      <tal:block repeat="widget view/widgets">
-        <tr>
-          <td class="label">
-            <label tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required">*</span>
-              <span i18n:translate="" tal:content="widget/label">label</span>:
-            </label>
-          </td>
-          <td class="field">
-            <span class="widget" tal:content="structure widget">
-              <input type="text" />
-            </span>
-            <tal:error tal:condition="widget/error">
-              <span tal:replace="structure widget/error">error</span>
-            </tal:error>
-            <tal:hint tal:condition="widget/hint">
-              <span class="hint" tal:content="structure widget/hint">hint</span>
-            </tal:hint>
-          </td>
-        </tr>
-      </tal:block>
-      <tr>
-        <td class="label">
-          <label i18n:translate="" for="form.passport">Photograph</label>
-        </td>
-        <td class="field">
-          <span class="widget">
-            <img src="passport.jpg" /><br />
-            <input type="file" name="form.passport" />
-            <br />
-            <span i18n:translate="">
-              Max. file size:
-              <span tal:replace="view/max_upload_size">10 KB</span>
-            </span>
-          </span>
-      </tr>
-      <tr tal:condition="view/manage_applications">
-        <td class="label"><label>Application Transition:</label></td>
-        <td>
-          <select id="transition" name="transition">
-            <option tal:repeat="transition view/getTransitions"
-                    tal:attributes="value transition/name">
-              <span tal:replace="transition/title">TRANSITIONTITLE</span>
-            </option>
-          </select>
-        </td>
-      </tr>
-    </tbody>
-  </table>
-
-  <div tal:condition="not: view/manage_applications">
-    <input class="checkboxType" id="confirm_passport" name="confirm_passport"
-           type="checkbox" value="True"/>
-    I confirm that the Passport Photograph uploaded on this form is a
-    true picture of me.
-  </div>
-
-  <div class="actionButtons" tal:condition="view/availableActions">
-    <input tal:repeat="action view/actions"
-           tal:replace="structure action/render"
-           />
-  </div>
-</form>
Index: in/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/loginapplicant.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/loginapplicant.pt	(revision 7199)
+++ 	(revision )
@@ -1,64 +1,0 @@
-<h2 i18n:translate=""
-    tal:condition="view/label"
-    tal:content="view/label">Label</h2>
-
-
-<form method="POST">
-  <input type="hidden" name="form.ac_prefix"
-         value="" tal:attributes="value view/ac_prefix" />
-  <table>
-    <tbody>
-      <tr>
-    	<td><label for="form.ac_series">Access Code:</label></td>
-    	<td>
-          <span tal:replace="view/ac_prefix">PIN Prefix</span>
-         -<input name="form.ac_series" type="text" size="3" maxlength="3"
-                  value="" tal:attributes="value view/ac_series"/>
-         -<input name="form.ac_number" type="text" size="10" maxlength="10"
-                value="" tal:attributes="value view/ac_number" />
-    	</td>
-      </tr>
-      <tr>
-	<td colspan="2">
-	  <input type="submit" name="SUBMIT" value="Show Application Record" />
-	</td>
-      </tr>
-    </tbody>
-  </table>
-</form>
-
-<div>
-  <h3>Instructions:</h3>
-  <ul class="list">
-    <li>
-      Enter your Application PIN.
-    </li>
-    <li>
-      Fill the form and upload your Passport Photograph with red
-      background in jpg format.
-    </li>
-    <li>
-      Save and preview picture.
-    </li>
-    <li>
-      Press the 'Final Submit' button.
-    </li>
-    <li>
-      After submission you won't be able to edit the data
-      but you can access and print this form again.
-    </li>
-  </ul>
-</div>
-<br />
-<div tal:condition="context/startdate">
-  Start date of application:
-  <span tal:replace="python: context.startdate.strftime('%d/%m/%Y') ">STARTDATE</span>
-</div>
-<div tal:condition="context/enddate">
-  Closing date of application:
-  <span tal:replace="python: context.enddate.strftime('%d/%m/%Y')">ENDDATE</span>
-</div>
-<br />
-<div tal:condition="context/strict_deadline">
-  No application after deadline!
-</div>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/tests/test_browser.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/tests/test_browser.py	(revision 7199)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/tests/test_browser.py	(revision 7200)
@@ -290,5 +290,5 @@
         self.applicant_path = 'http://localhost/app/applicants/app2009/%s' % self.pin_applicant
         self.applicant_view_path = self.applicant_path + '/index'
-        self.applicant_manage_path = self.applicant_path + '/edit_full'
+        self.applicant_manage_path = self.applicant_path + '/manage'
         self.applicant_slip_path = self.applicant_path + '/application_slip.pdf'
         self.browser.open(self.applicant_manage_path)
@@ -603,6 +603,6 @@
         self.edit_path = 'http://localhost/app/applicants/app2009/%s/edit' % (
             self.pin)
-        self.edit_full_path = 'http://localhost/app/applicants/%s/%s/%s' % (
-            'app2009', self.pin, 'edit_full')
+        self.manage_path = 'http://localhost/app/applicants/%s/%s/%s' % (
+            'app2009', self.pin, 'manage')
 
     def tearDown(self):
@@ -773,5 +773,5 @@
         # Now go on as an officer
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
-        self.browser.open(self.edit_full_path)
+        self.browser.open(self.manage_path)
 
         # Create a pseudo image file and select it to be uploaded in form
@@ -848,5 +848,5 @@
         # Login as manager and lock the form
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
-        self.browser.open(self.edit_full_path)
+        self.browser.open(self.manage_path)
         self.browser.getControl(name="form.locked").value = True
         self.browser.getControl("Save").click()