Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 7207)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 7208)
@@ -74,9 +74,9 @@
   >>> 'Sample University' in browser.contents
   True
-  
+
 The edit form contains the default value for the portal skin::
 
   >>> 'waeuptheme-gray1.css' in browser.contents
-  True  
+  True
 
 We can perform several actions on the edit form::
@@ -188,5 +188,5 @@
   >>> browser.getControl(name='descr').value = "test message"
   >>> browser.getControl('Submit').click()
-  >>> print browser.contents      
+  >>> print browser.contents
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
   ...<li class="message">Error: xx@yy is not a valid email address.</li>
@@ -200,5 +200,5 @@
   >>> browser.getControl(name='descr').value = "test message"
   >>> browser.getControl('Submit').click()
-  >>> print browser.contents      
+  >>> print browser.contents
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
   ...<li class="message">Your message has been sent.</li>
@@ -225,5 +225,5 @@
   >>> browser.getControl('Cancel').click()
   >>> browser.open('http://localhost/myuniversity/faculties/add')
-  
+
 We fill in a new name for our new faculty::
 
@@ -303,5 +303,6 @@
   >>> browser.open('http://localhost/myuniversity/faculties/TF/manage')
   >>> browser.getControl(name="user").value = ['bob']
-  >>> browser.getControl(name="local_role").value = ['waeup.local.DepartmentManager']
+  >>> browser.getControl(
+  ...     name="local_role").value = ['waeup.local.DepartmentManager']
   >>> browser.getControl("Add local role").click()
   >>> print browser.contents
@@ -438,5 +439,5 @@
 
 Clicking 'Save' we will stay on the settings form. So we can change
-the department again. 
+the department again.
 
   >>> browser.getControl(name='form.title').value = "My renamed dept"
@@ -459,5 +460,6 @@
   >>> browser.open('http://localhost/myuniversity/faculties/TF/TD/manage')
   >>> browser.getControl(name="user").value = ['bob']
-  >>> browser.getControl(name="local_role").value = ['waeup.local.DepartmentManager']
+  >>> browser.getControl(
+  ...     name="local_role").value = ['waeup.local.DepartmentManager']
   >>> browser.getControl("Add local role").click()
   >>> print browser.contents
@@ -478,5 +480,6 @@
   >>> browser.open('http://localhost/myuniversity/faculties/TF/TD/manage')
   >>> ctrl = browser.getControl(name='role_id')
-  >>> ctrl.getControl(value='bob|waeup.local.DepartmentManager').selected = True
+  >>> ctrl.getControl(
+  ...     value='bob|waeup.local.DepartmentManager').selected = True
   >>> browser.getControl("Remove selected local roles").click()
   >>> print browser.contents
@@ -621,5 +624,5 @@
 afterwards:
 
-  >>> browser.getControl(name='form.title').value = "My renamed course" 
+  >>> browser.getControl(name='form.title').value = "My renamed course"
   >>> ctrl = browser.getControl("Save and return")
   >>> ctrl.click()
@@ -673,8 +676,10 @@
 ----------------
 
-We can delete courses by browsing the manage page of the containing department and
-checking the appropriate select box and clicking the ´´Remove selected´´ button. 
-
-  >>> browser.open('http://localhost/myuniversity/faculties/TF/TD/@@manage#tab-2')
+We can delete courses by browsing the manage page of the containing
+department and checking the appropriate select box and clicking the
+´´Remove selected´´ button.
+
+  >>> browser.open(
+  ...     'http://localhost/myuniversity/faculties/TF/TD/@@manage#tab-2')
   >>> 'My renamed course' in browser.contents
   True
@@ -686,5 +691,6 @@
   True
 
-  >>> browser.getControl(name='val_id').getControl(value='COURSE1').selected = True
+  >>> browser.getControl(
+  ...    name='val_id').getControl(value='COURSE1').selected = True
   >>> browser.getControl('Remove selected courses').click()
 
@@ -826,7 +832,7 @@
 
 Clicking 'Save' we will stay on the settings form. So we can change
-the cert again. 
-
-  >>> browser.getControl(name='form.title').value = "My renamed cert" 
+the cert again.
+
+  >>> browser.getControl(name='form.title').value = "My renamed cert"
   >>> ctrl = browser.getControl("Save",index=0)
   >>> ctrl.click()
@@ -869,8 +875,10 @@
 ---------------------
 
-We can delete certificates by browsing the manage page of the containing department and
-checking the appropriate select box and clicking the ´´Remove selected´´ button. 
-
-  >>> browser.open('http://localhost/myuniversity/faculties/TF/TD/@@manage#tab-3')
+We can delete certificates by browsing the manage page of the
+containing department and checking the appropriate select box and
+clicking the ´´Remove selected´´ button.
+
+  >>> browser.open(
+  ...    'http://localhost/myuniversity/faculties/TF/TD/@@manage#tab-3')
   >>> 'My renamed cert' in browser.contents
   True
@@ -880,5 +888,6 @@
   True
 
-  >>> browser.getControl(name='val_id').getControl(value='CERT1').selected = True
+  >>> browser.getControl(name='val_id').getControl(
+  ...    value='CERT1').selected = True
   >>> browser.getControl('Remove selected certificates').click()
   >>> 'My renamed cert' in browser.contents
@@ -899,5 +908,5 @@
   >>> ctrl.value = 'Another course with same code'
   >>> browser.getControl(name='form.code').value = 'COURSE1'
-  >>> browser.getControl(name='form.title').value = 'Course 1'	
+  >>> browser.getControl(name='form.title').value = 'Course 1'
   >>> browser.getControl('Add course').click()
 
@@ -930,5 +939,5 @@
   >>> browser.getControl(name='form.application_category').value = ['basic']
   >>> browser.getControl('Add certificate').click()
-  
+
 
 Adding certificatecourses
@@ -962,5 +971,5 @@
 
   >>> ctrl.getControl('COURSE1').selected = True
-  >>> browser.getControl(name='form.level').value = ['100']  
+  >>> browser.getControl(name='form.level').value = ['100']
   >>> browser.getControl('Add course referrer').click()
 
@@ -1014,5 +1023,5 @@
 
   >>> browser.open(cert_url + '/COURSE1_100/manage')
-  >>> browser.getControl(name='form.level').value = ['200']      
+  >>> browser.getControl(name='form.level').value = ['200']
   >>> browser.getControl("Save and return").click()
 
@@ -1066,9 +1075,10 @@
   >>> 'No item selected' in browser.contents
   True
-  >>> browser.getControl(name='val_id').getControl(value='COURSE1_200').selected = True
+  >>> browser.getControl(name='val_id').getControl(
+  ...    value='COURSE1_200').selected = True
   >>> browser.getControl('Remove selected course referrers').click()
   >>> 'Successfully removed: COURSE1_200' in browser.contents
   True
-  
+
   >>> 'COURSE1_200</a>' in browser.contents
   False
@@ -1162,5 +1172,5 @@
   >>> filewidget
   <Control name='uploadfile:file' type='file'>
- 
+
 A sidenote for developers: by marking the filewidget with the
 ``:file`` extension, we tell Zope to handle this field as a file
@@ -1171,5 +1181,5 @@
   ...   open('faculties.csv', 'rb').read())
   >>> filewidget.add_file(filecontents, 'text/plain', 'myfaculties.csv')
-  
+
   >>> browser.getControl(name='SUBMIT').click()
 